
export default{

    neuroStart (param){
        return new Promise((resolve,reject) => {

            JSON.parse(param).cmd === "neuro_start" ?  resolve(param) : reject(new Error("요청 값이 틀립니다."))
        })
    },
    neuroCapture (param){
        return new Promise((resolve,reject) => {

            JSON.parse(testJson).cmd === "capture_done" ?  resolve(testJson) : reject(new Error("요청 값이 틀립니다."))
        })
    },
    neuroCheck (param){
        return new Promise((resolve,reject) => {

            JSON.parse(param).cmd === "neuro_check" ?  resolve("검수 성공 ") : reject(new Error("요청 값이 틀립니다."))
        })
    },
    neuroSave (param){
        return new Promise((resolve,reject) => {

            JSON.parse(testJson).cmd === "capture_done" ?  resolve(testJson) : reject(new Error("요청 값이 틀립니다."))
        })
    },

}